Page MenuHomePhabricator

Deploy WikibaseLexeme on test.wikidata.org
Closed, ResolvedPublic

Description

Requires changing WMF config (operations/mediawiki-config) so it loads WikibaseLexeme for test.wikidata.org
(As well as moving relevant config from the beta configs to the prod configs)
T191463 needs to be done first.

Week of May 14th: WikibaseLexeme to be deployed to test.wikidata.org

Related Objects

StatusAssignedTask
Resolved Addshore
Resolved Addshore
OpenNone
Resolved Addshore
Resolved Addshore
ResolvedJakob_WMDE
Resolved dpatrick
Resolved Addshore
ResolvedBawolff
Resolved Addshore
Resolved Addshore
Resolved Addshore
ResolvedNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolveddaniel
ResolvedNone
Resolvedthiemowmde
ResolvedNone
Resolved Jonas
ResolvedLydia_Pintscher
Resolveddaniel
ResolvedNone
Resolvedthiemowmde
ResolvedJakob_WMDE
ResolvedJakob_WMDE
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
DuplicateNone
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedJakob_WMDE
ResolvedNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
ResolvedWMDE-leszek
Resolved Jonas
Resolved Jonas
ResolvedJakob_WMDE
Resolved Jonas
InvalidNone
ResolvedLydia_Pintscher
ResolvedNone
Resolved Aleksey_WMDE
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedNone
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
Resolved Aleksey_WMDE
Resolved Aleksey_WMDE
Resolvedthiemowmde
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
Resolvedthiemowmde
Resolvedthiemowmde
Resolvedthiemowmde
ResolvedNone
ResolvedWMDE-leszek
ResolvedNone
ResolvedNone
ResolvedLadsgroup
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
DuplicateLadsgroup
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedNone
Declined Jonas
Resolved Jonas
DeclinedNone
Resolved Addshore
ResolvedJakob_WMDE
ResolvedLydia_Pintscher
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedLadsgroup
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedWMDE-leszek
ResolvedWMDE-leszek
InvalidNone
Resolvedthiemowmde
ResolvedWMDE-leszek
ResolvedNone
OpenNone
InvalidNone
ResolvedLadsgroup
ResolvedLydia_Pintscher
Resolvedthiemowmde
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedJakob_WMDE
ResolvedPablo-WMDE
ResolvedJakob_WMDE
Resolved Addshore
ResolvedJakob_WMDE
Resolved Addshore
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLadsgroup
ResolvedLydia_Pintscher
Resolved Addshore
ResolvedJakob_WMDE
ResolvedJakob_WMDE
OpenNone
ResolvedLydia_Pintscher
InvalidNone
Resolved Addshore
ResolvedLydia_Pintscher
ResolvedNone
Resolved Addshore
ResolvedNone
ResolvedLydia_Pintscher
Resolved Addshore
ResolvedJakob_WMDE
ResolvedJakob_WMDE

Event Timeline

Addshore triaged this task as Normal priority.Apr 4 2018, 7:16 PM
Addshore created this task.
WMDE-leszek updated the task description. (Show Details)Apr 6 2018, 12:13 PM
WMDE-leszek set the point value for this task to 3.
Addshore updated the task description. (Show Details)May 7 2018, 2:17 PM

Mentioned in SAL (#wikimedia-operations) [2018-05-16T10:57:38Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:433147|Enable WikibaseLexeme on test.wikidata.org]] T191458 (duration: 01m 20s)

Addshore closed this task as Resolved.May 16 2018, 11:02 AM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 16 2018, 11:02 AM

A follow up ticket has been created for the parsoid errors spotted T194821

Change 433358 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Configure WikibaseLexeme after Repo & Client

https://gerrit.wikimedia.org/r/433358

Change 433358 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure WikibaseLexeme after Repo & Client

https://gerrit.wikimedia.org/r/433358

Mentioned in SAL (#wikimedia-operations) [2018-05-16T13:26:13Z] <addshore@tin> Synchronized wmf-config/Wikibase.php: SWAT: [[gerrit:433358|Configure WikibaseLexeme after Repo & Client]] T191458 T194250 (duration: 01m 21s)

Change 434592 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] testwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434592

Change 434592 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434592

Change 434642 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [testwikidata] Add Lexeme NS to ContentNamespaces

https://gerrit.wikimedia.org/r/434642

Change 434642 merged by jenkins-bot:
[operations/mediawiki-config@master] [testwikidata] Add Lexeme NS to ContentNamespaces

https://gerrit.wikimedia.org/r/434642